$(document).ready(function() {
    $('.main-header-name').click(function() {
        $('.main-header-name-menu').toggleClass('show');
    });

    $('.form-control-feedback').click(function() {
        var attr = $(this).siblings('input').attr('type');
        if (attr == 'password') {
            $(this).siblings('input').attr('type', 'text');
            $(this).html('visibility_off');
        } else {
            $(this).siblings('input').attr('type', 'password');
            $(this).html('visibility');
        }
    });

    $('#loginform-rememberme').click(function() {
        if (this.checked)
            $(this).siblings('i').html('check_box');
        else
            $(this).siblings('i').html('check_box_outline_blank');
    });

    $('.about-tnc').click(function() {
        $('#modal-tnc').modal('show');
    });

    $('.about-privacy').click(function() {
        $('#modal-privacy').modal('show');
    });

    $('.update-content-history a').click(function() {
        $('#modal-history').modal('show');
    });

    $('.update-content-changelog a').click(function() {
        $('#modal-changelog').modal('show');
    });

    $('.help-modal').click(function() {
        $('#modal-help').modal('show');
    });

    $('.create-user-modal').click(function() {
        $('#modal-create-user').modal('show');
    });

    $('.btn-close-modal').click(function() {
        $('.modal').modal('hide');
    });

    $('.modal-create-user-role').change(function() {
        $('.modal-create-user-desc').html($(this).find(':selected').attr('data-desc'));
    });
});